Bug 1435029 - arduino-1.8.4 is available
Summary: arduino-1.8.4 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: arduino
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gianluca Sforna
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-23 00:10 UTC by Upstream Release Monitoring
Modified: 2018-02-06 15:25 UTC (History)
9 users (show)

Fixed In Version: arduino-1.8.5-1.fc27
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-06 11:19:42 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 1.8.2 (#1435029) (910 bytes, patch)
2017-03-23 00:11 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2017-03-23 00:10:58 UTC
Latest upstream release: 1.8.2
Current version/release in rawhide: 1.6.6-1.fc26
URL: https://www.arduino.cc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/105/

Comment 1 Upstream Release Monitoring 2017-03-23 00:11:25 UTC
Created attachment 1265516 [details]
[patch] Update to 1.8.2 (#1435029)

Comment 2 Upstream Release Monitoring 2017-03-23 00:13:30 UTC
hotness's scratch build of arduino-1.8.2-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=18530745

Comment 3 Upstream Release Monitoring 2017-06-11 12:11:16 UTC
Latest upstream release: 1.8.3
Current version/release in rawhide: 1.6.6-1.fc26
URL: https://www.arduino.cc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/105/

Comment 4 Upstream Release Monitoring 2017-06-11 12:11:32 UTC
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs

Comment 5 Tom "spot" Callaway 2017-08-16 13:14:29 UTC
As I posted on the devel mailing list, I have made 1.8.3 packages (based off the 1.6 packages in Fedora).

https://copr.fedorainfracloud.org/coprs/spot/arduino-1.8/

I also submitted a new dependency for review:

https://bugzilla.redhat.com/show_bug.cgi?id=1482095

It would be helpful to get testing of these packages to ensure everything works properly (I know the GUI launches on Fedora 26 x86_64, but I have not had a chance to do anything else beyond that).

Comment 6 Upstream Release Monitoring 2017-08-23 12:11:08 UTC
Latest upstream release: 1.8.4
Current version/release in rawhide: 1.6.7-3.fc28
URL: https://www.arduino.cc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/105/

Comment 7 Upstream Release Monitoring 2017-08-23 12:11:30 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://github.com/arduino-libraries/SpacebrewYun/archive/1.0.1.zip#/SpacebrewYun-1.0.1.zip to ./SpacebrewYun-1.0.1.zip

Comment 8 Gianluca Sforna 2017-08-24 08:44:09 UTC
So, I picked up Tom's patches and updated the package. Right now everything is available in rawhide, I am working to bring it to F26/27 as well.

Comment 9 Upstream Release Monitoring 2017-08-24 08:50:09 UTC
giallu's arduino-1.8.4-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=960853

Comment 10 Fedora Update System 2017-08-24 14:08:46 UTC
arduino-builder-1.3.25-1.fc26 arduino-1.8.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0a69429bd

Comment 11 Fedora Update System 2017-08-24 16:50:00 UTC
arduino-1.8.4-1.fc26, arduino-builder-1.3.25-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0a69429bd

Comment 12 Jens Lody 2017-08-26 11:09:21 UTC
I can not update arduino in F26 due to broken dependency on arduino-listSerialPortsC :

Problem: cannot install the best update candidate for package arduino-1:1.6.6-3.fc26.noarch - nothing provides arduino-listSerialPortsC needed by arduino-1:1.8.4-1.fc26.noarch

Comment 13 Fedora Update System 2017-09-01 11:50:30 UTC
arduino-1.8.4-1.fc26, arduino-builder-1.3.25-1.fc26, arduino-listSerialPortsC-1.4.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0a69429bd

Comment 14 Alessio 2017-10-13 04:28:39 UTC
Fedora 27
arduino-1.8.4-1.fc27.noarch

Compiling a sketch I get "Error compiling for board XXXX"

This is the output (verbose output enabled):

/usr/share/arduino/arduino-builder -dump-prefs -logger=machine -hardware /usr/share/arduino/hardware -built-in-libraries /usr/share/arduino/libraries -libraries /home/alessio/Arduino/libraries -fqbn=arduino:avr:nano:cpu=atmega328 -ide-version=10804 -build-path /tmp/arduino_build_971648 -warnings=none -build-cache /tmp/arduino_cache_814444 -prefs=build.warn_data_percentage=75 -verbose /tmp/untitled1823231473.tmp/sketch_oct13a/sketch_oct13a.ino
Parameter 'tools' is mandatory
Usage of /usr/share/arduino/arduino-builder:
[...]

Comment 15 Alessio 2017-10-13 04:35:32 UTC
(In reply to Alessio from comment #14)
> Fedora 27
> arduino-1.8.4-1.fc27.noarch
> ...
> Parameter 'tools' is mandatory
> Usage of /usr/share/arduino/arduino-builder:

However, if I create the packages directory in ~/.arduino15, compilation now works.

 mkdir ~/.arduino15/packages

If the ~/.arduino15 directory doesn't exists, starting arduino IDE for the first time such directory will be created, containing only the preferences.txt file.

Comment 16 Fedora Update System 2017-11-18 11:27:22 UTC
arduino-1.8.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea105501bc

Comment 17 Fedora Update System 2017-11-18 21:26:33 UTC
arduino-1.8.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea105501bc

Comment 18 Fedora Update System 2018-02-06 11:19:42 UTC
arduino-1.8.5-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-02-06 15:25:59 UTC
arduino-1.8.5-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.